//CFTTFile_AndroidMemMap - [2020-04-13 11:57:46]
#ifndef _CFTTFILE_ANDROIDMEMMAP_H_
#define _CFTTFILE_ANDROIDMEMMAP_H_

#include "CFTTFile_ROM.h"

/*
0026C364 CFTTFile_AndroidMemMap::CFTTFile_AndroidMemMap(CFTTFileSystem_Android * pFileSystem,
                                                        char const* filepath,
                                                        FILE * fi,
                                                        int a5,
                                                        int a6,
                                                        EFTTMemHeapID eHeapID)
0026C4B0 CFTTFile_AndroidMemMap::~CFTTFile_AndroidMemMap()
0026C4D4 CFTTFile_AndroidMemMap::~CFTTFile_AndroidMemMap()
0026C4E2 CFTTFile_AndroidMemMap::Close()
0026C510 CFTTFile_AndroidMemMap::GetAsyncHandler()

vptr_CFTTFile_AndroidMemMap_329AA4:
  CFTTFile_AndroidMemMap::~CFTTFile_AndroidMemMap()
  CFTTFile_AndroidMemMap::~CFTTFile_AndroidMemMap()
  CFTTFile_ROM::Read(void *,long long)
  CFTTFile_ROM::Write(void const*,long long)
  CFTTFile_ROM::GetPos()
  CFTTFile_ROM::Seek(long long,int)
  CFTTFile_ROM::GetAttributes()
  CFTTFile_AndroidMemMap::Close()
  CFTTFile_ROM::IsOpen()
  CFTTFile::ReadAsync(void *,long long,long long,void *,CFTTAsyncEvent<TFTTFileAsyncEventData> *)
  CFTTFile::WriteAsync(void const*,long long,long long,void *,CFTTAsyncEvent<TFTTFileAsyncEventData> *)
  CFTTFile_AndroidMemMap::GetAsyncHandler()
  CFTTFile_ROM::GetModeFlags()
  CFTTFile_ROM::GetMemoryMappedPos()
  CFTTFile::UseBufferedAccess()
  CFTTFile::RequestFlushWrites()

CFTTFile_AndroidMemMap 0x38

v6 = operator new(0x38, 0, 0, v5);
CFTTFile_AndroidMemMap::CFTTFile_AndroidMemMap(v6,
g_pPackageFileSystem, vfilepath, file, 0, 0, 0);
*/

class CFTTFileSystem_Android;

class CFTTFile_AndroidMemMap : public CFTTFile_ROM {
public:
  CFTTFile_AndroidMemMap(CFTTFileSystem_Android* pFileSystem,
                         char const* filepath,
                         FILE* fi,
                         int a5,
                         int filesize,
                         EFTTMemHeapID eHeapID);     //0026C364
  virtual ~CFTTFile_AndroidMemMap();                 //0026C4B0 0026C4D4
  virtual bool Close();                              //0026C4E2
  virtual CFTTFile_AsyncHandler* GetAsyncHandler();  //0026C510

  FILE* file_20;
  void* map_start_24;
  TFTTFileAttributes attr_28;
};

#endif  //_CFTTFILE_ANDROIDMEMMAP_H_